Name: 		aeskulap
Version: 	0.2.2
Release: 	%mkrel 2
Summary: 	Medial image viewer for DICOM images
Summary(de): 	Medial Bildbetrachter für DICOM-Bilder
License: 	GPL/LGPL
Group: 		Graphics
URL: 		http://aeskulap.nongnu.org
Source: 	%{name}-%{version}.tar.xz
Patch0: 	aeskulap-gcc4.patch
Patch1: 	aeskulap-dcmtk.patch
BuildRequires: 	libgtkmm2.4-devel 
BuildRequires: 	libglade2.0_0-devel 
BuildRequires: 	libglademm2.4-devel 
BuildRequires: 	libgconfmm2.6_1-devel 
BuildRequires: 	zlib-devel 
BuildRequires: 	libpng-devel 
BuildRequires: 	libtiff-devel
BuildRequires: 	gettext
BuildRequires: 	dcmtk-devel
Requires:	dcmtk
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
Aeskulap is a medical image viewer. It is able to load a series of special
images stored in the DICOM format for review. It is able to query and fetch
DICOM images from archive nodes (also called PACS) over the network. The
goal of this project is to create a full open source replacement for
commercially available DICOM viewers. It is based on gtkmm, glademm, and
gconfmm and designed to run under Linux. Ports of these packages are
available for different platforms. It should be quite easy to port It to
any platform were these packages are available.

%description -l de
Aeskulap ist ein medizinischer Bildbetrachter. Er ist in der Lage, eine Reihe 
von speziellen Bildern die im DICOM-Format gespeichert werden zur Überprüfung zu 
laden. Er ist in der Lage, Abfrage und holt DICOM-Bilder aus dem Archiv Knoten (auch 
genannt PACS) über das Netzwerk. Das Ziel dieses Projektes ist die Schaffung einer 
vollständigen Open-Source-Ersatz für kommerziell erhältliche DICOM Viewer. Er basiert 
auf gtkmm, glademm basiert, und gconfmm und für den Einsatz unter Linux laufen. 
Häfen dieser Pakete sind verfügbar für unterschiedliche Plattformen. Er sollte ganz 
einfach die Portierung auf jeder Plattform wurden diese Pakete verfügbar sind.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -Rf COPYING.DCMTK dcmtk
touch NEWS
./autogen.sh 
./configure  --prefix=/usr \
    --disable-schemas-install \
    --disable-static

%make

%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

rm -Rf %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

#MENU Entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop



%post
%{update_desktop_database}
%{update_menus}

%postun
%{clean_desktop_database}
%{clean_menus}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING COPYING.LIB README
%config %{_sysconfdir}/gconf/schemas/aeskulap.schemas
%{_bindir}/aeskulap
%{_datadir}/aeskulap/*
%{_datadir}/applications/aeskulap.desktop
%{_libdir}/aeskulap/*
%{_datadir}/icons/*


%changelog
* Sun Aug 01 2010 Texstar <texstar at gmail.com> 0.2.2-2pclos2010
- add menu entry for all desktops
- convert source to tar.xz

* Fri Jul 30 2010 maik3531 <maik3531 at yahoo.de> 0.2.2-1pclos2010
- initial build for pclinux
